// Verilog definition of TB2
// created by TB

module TB2(N35, N36, N37, N38, N39, N40, N41, N42);
input N35;
input N36;
input N37;
input N38;
input N39;
output N40;
output N41;
output N42;

  wire N46;
  wire N47;
  wire N49;
  wire N52;
  wire N56;
  wire N62;

  xor2 ix35(N36, N38, N42);
  xnor2 ix33(N46, N47, N41);
  mux21_ni ix25(N49, N36, N38, N52);
  inv02 ix107(N39, N49);
  xnor2_2x ix109(N35, N56, N47);
  xnor2_2x ix111(N39, N37, N56);
  xnor2 ix31(N39, N62, N40);
  mux21_ni ix29(N46, N56, N47, N62);
  buf02 ix118(N52, N46);

endmodule
